using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;

//Developed By Gehan Fernando ........
//Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

namespace DMS_2008_Data
{
    public class ClsQuickInfo
    {
        #region "Private Variables ....."
        private SqlConnection con = null;
        private SqlCommand com = null;
        private SqlDataReader reader = null;

        private string _documentname = string.Empty;
        private string _documenttype = string.Empty;
        private string _username = string.Empty;
        private string _employeename = string.Empty;
        private List<ClsQuickInfo> _doclist = null;

        string _sqlstr = string.Empty;
        string _optionstr = string.Empty;

        #endregion

        public string DocumentName
        {
            get { return _documentname; }
            set { _documentname = value; }
        }
        public string DocumentType
        {
            get { return _documenttype; }
            set { _documenttype = value; }
        }
        public string UserName
        {
            get { return _username; }
            set { _username = value; }
        }
        public string EmployeeName
        {
            get { return _employeename; }
            set { _employeename = value; }
        }
        public List<ClsQuickInfo> DocumentList
        {
            get { return _doclist; }
            set { _doclist = value; }
        }

        public List<ClsQuickInfo> Get_Quick_Search_Result(string _FirstValue,Int16 _OptionValue,string _SecondValue)
        {
            ClsQuickInfo _objquickinfo = null;
            try
            {
                _sqlstr = string.Empty;
                _optionstr = string.Empty;
                _doclist = null;

                con = new SqlConnection(DMS_2008_Data.Properties.Settings.Default.DataConnection.ToString());
                con.Open();

                com = new SqlCommand();
                com.Connection = con;
                com.CommandType = CommandType.Text;

                if (_OptionValue == 0)
                {
                    _optionstr = string.Empty;
                }
                else if (_OptionValue == 1)
                {
                    _optionstr = "AND";
                }
                else
                {
                    _optionstr = "OR";
                }

                if (_FirstValue.ToString().Trim().Length != 0 && _SecondValue.ToString().Trim().Length != 0)
                {
                    _optionstr = @"'""" + _FirstValue.ToString().Replace("'", "`").Trim() + "*" + @"""" + " " + _optionstr.ToString() + " " + @"""" + _SecondValue.ToString().Replace("'", "`").Trim() + "*" + @"""" + "'";
                    _sqlstr = "SELECT Users.UserName, DocumentDetails.DocumentName, DocumentDetails.DocumentType, DocumentsHeader.EmployeeName " +
                              "FROM DocumentsHeader INNER JOIN " +
                                    "DocumentDetails ON DocumentsHeader.DocumentCode = DocumentDetails.DocumentCode INNER JOIN " +
                                    "Users ON DocumentsHeader.UserID = Users.UserID " +
                                    "WHERE CONTAINS(DocumentDetails.DocumentName," + _optionstr.ToString().Trim() + ") AND (DocumentDetails.DocumentStatus IN (1)) " +
                                    "ORDER BY DocumentDetails.DocumentName, Users.UserID";
                }
                else
                {
                    _optionstr = @"'""" + _FirstValue.ToString().Replace("'", "`").Trim() + "*" + @"""" + "'";
                    _sqlstr = "SELECT Users.UserName, DocumentDetails.DocumentName, DocumentDetails.DocumentType, DocumentsHeader.EmployeeName " +
                              "FROM DocumentsHeader INNER JOIN " +
                                    "DocumentDetails ON DocumentsHeader.DocumentCode = DocumentDetails.DocumentCode INNER JOIN " +
                                    "Users ON DocumentsHeader.UserID = Users.UserID " +
                                    "WHERE CONTAINS(DocumentDetails.DocumentName," + _optionstr.ToString().Trim() + ") AND (DocumentDetails.DocumentStatus IN (1)) " +
                                    "ORDER BY DocumentDetails.DocumentName, Users.UserID";
                }

                com.CommandText = _sqlstr.ToString();
                reader = com.ExecuteReader();

                _doclist = new List<ClsQuickInfo>();
                _doclist.Clear();

                while (reader.Read())
                {
                    _objquickinfo = new ClsQuickInfo();
                    _objquickinfo.UserName = reader[0].ToString();
                    _objquickinfo.DocumentName = reader[1].ToString();
                    _objquickinfo.DocumentType = reader[2].ToString();
                    _objquickinfo.EmployeeName = reader[3].ToString();
                    _doclist.Add(_objquickinfo);
                    _objquickinfo = null;
                }

                com.Parameters.Clear();
            }
            catch (Exception ex)
            {
                _doclist = null;
                throw ex;
            }
            finally
            {
                if (com != null)
                    com.Dispose();

                if (con != null)
                    con.Dispose();

                com = null;
                con = null;
            }
            return _doclist;
        }
    }
}
