Imports System
Imports System.IO
Imports DMS_Crypto
Imports WinMessage
Imports DMS_2008_Data
Imports System.Diagnostics
Imports System.Collections

'Developed By Gehan Fernando ........
'Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

Public Class FrmContains

#Region "Variables ....."
    Private _obj As ClsContains = Nothing
    Private _objList As List(Of ClsContains) = Nothing
    Private _selectindex As Int32 = 0
    Private _selectcode As String = String.Empty
    Private _selectname As String = String.Empty
    Private _msgstring As String = String.Empty
    Private _password As String = ""
    Private _confirmpassword As String = ""
#End Region

    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click

        Me.Close()

    End Sub
    Private Sub FrmContains_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.Cursor = Cursors.WaitCursor

        With Me
            .MdiParent = FrmDMS2008
            .Size = FRM_SIZE
            .Location = New Point(0, 0)
            .Activate()
        End With

        If USER_ID = "User".ToString().ToUpper().Trim() Or EXPIRED = True Then
            GroupBoxMain.Enabled = False
        End If

        _selectindex = 0
        _selectcode = String.Empty
        _selectname = String.Empty
        _msgstring = String.Empty

        LabelUserID.Text = "User ID :- " & USER_ID.ToString().ToUpper().Trim()
        LabelUserName.Text = "User Name :- " & StrConv(USER_NAME.ToString().Trim(), VbStrConv.ProperCase)

        Try
            _obj = Nothing
            _obj = New ClsContains()
            _objList = Nothing
            _objList = _obj.GetEmployeeList(USER_ID)
            With ListBoxNameList
                .ValueMember = "DocumentCode"
                .DisplayMember = "EmployeeName"
                .DataSource = _objList
            End With
            If _objList.Count = 0 Then
                ButtonDeleteName.Enabled = False
            Else
                ListBoxNameList.SelectedIndex = 0
                ButtonDeleteName.Enabled = True
            End If
        Catch ex As Exception
            ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
        End Try

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub ButtonDeleteName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDeleteName.Click

        If _selectcode = String.Empty Or _selectname = String.Empty Then
            ClsWinMessage.ShowWinMessage("Invalid Selection, Select Name To Delete Data.", "Document Management System", MessageBoxIcon.Exclamation, MessageBoxButtons.OK)
            If _objList.Count = 0 Then
                Exit Sub
            Else
                ListBoxNameList.SelectedIndex = 0
                Exit Sub
            End If
        End If

        Me.Cursor = Cursors.WaitCursor

        _msgstring = "Do You Want To Remove Selected Name" & Environment.NewLine & _
                   "" & Environment.NewLine & _
                   "Referance Code :- " & _selectcode.ToString().Trim() & Environment.NewLine & _
                   "Name           :- " & _selectname.ToString().Trim() & Environment.NewLine & _
                   "" & Environment.NewLine & _
                   "If You Reome This Name, It Will Reomve Permanently..." & Environment.NewLine & _
                   "" & Environment.NewLine & _
                   "To Remove Click On 'Yes' Button To Cancel Press On 'No' Button."

        RES_VALUE = ClsWinMessage.ShowWinMessage(_msgstring.ToString(), "Document Management System", MessageBoxIcon.Question, MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2)
        If RES_VALUE = Windows.Forms.DialogResult.Yes Then
            Try
                _obj = Nothing
                _obj = New ClsContains()
                If _obj.RemoveName(_selectcode.ToString().Trim(), _selectname.ToString().Trim()) = True Then
                    ClsWinMessage.ShowWinMessage("Name Removed Successfully.", "Document Management System", MessageBoxIcon.Information, MessageBoxButtons.OK)

                    _obj = Nothing
                    _obj = New ClsContains()
                    _objList = Nothing
                    _objList = _obj.GetEmployeeList(USER_ID)
                    With ListBoxNameList
                        .ValueMember = "DocumentCode"
                        .DisplayMember = "EmployeeName"
                        .DataSource = _objList
                    End With
                    If _objList.Count = 0 Then
                        ButtonDeleteName.Enabled = False
                    Else
                        ListBoxNameList.SelectedIndex = 0
                        ButtonDeleteName.Enabled = True
                    End If

                Else
                    ClsWinMessage.ShowWinMessage("Name Not Removed, Error In Delete Process.", "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
                End If
            Catch ex As Exception
                ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
            Finally
                _obj = Nothing
            End Try
        Else
            ButtonReset.Focus()
        End If

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub ListBoxNameList_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBoxNameList.SelectedIndexChanged

        _selectindex = 0
        _selectindex = ListBoxNameList.SelectedIndex
        _selectcode = String.Empty
        _selectcode = ListBoxNameList.SelectedValue.ToString().Trim()
        _selectname = String.Empty
        _selectname = ListBoxNameList.Text.ToString().Trim()

    End Sub
    Private Sub ButtonReset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonReset.Click

        _selectindex = 0
        _selectcode = String.Empty
        _selectname = String.Empty
        _msgstring = String.Empty

        Me.Cursor = Cursors.WaitCursor

        Try
            _obj = Nothing
            _obj = New ClsContains()
            _objList = Nothing
            _objList = _obj.GetEmployeeList(USER_ID)
            With ListBoxNameList
                .ValueMember = "DocumentCode"
                .DisplayMember = "EmployeeName"
                .DataSource = _objList
            End With
            If _objList.Count = 0 Then
                ButtonDeleteName.Enabled = False
            Else
                ListBoxNameList.SelectedIndex = 0
                ButtonDeleteName.Enabled = True
            End If
        Catch ex As Exception
            ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
        End Try

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub ButtonDeleteUser_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDeleteUser.Click

        If TextBoxPassword.Text.ToString().Trim().Length = 0 Then
            ClsWinMessage.ShowWinMessage("Set Password, Password Cannot Be Empty.", "Document Management System", MessageBoxIcon.Exclamation, MessageBoxButtons.OK)
            TextBoxPassword.Focus()
            Exit Sub
        End If

        If TextBoxPasswordConfirm.Text.ToString().Trim().Length = 0 Then
            ClsWinMessage.ShowWinMessage("Set Password Verification, Password Verification Cannot Be Empty.", "Document Management System", MessageBoxIcon.Exclamation, MessageBoxButtons.OK)
            TextBoxPasswordConfirm.Focus()
            Exit Sub
        End If

        _password = ""
        _password = ClsCrypto.EncryptText(TextBoxPassword.Text.ToString().Trim())
        _confirmpassword = ""
        _confirmpassword = ClsCrypto.EncryptText(TextBoxPasswordConfirm.Text.ToString().Trim())

        If _password <> _confirmpassword Then
            ClsWinMessage.ShowWinMessage("Invalid Password Verification.", "Document Management System", MessageBoxIcon.Exclamation, MessageBoxButtons.OK)
            TextBoxPassword.SelectAll()
            TextBoxPassword.Focus()
            Exit Sub
        End If

        Me.Cursor = Cursors.WaitCursor

        Try
            _obj = Nothing
            _obj = New ClsContains()
            If _obj.CheckValidUser(USER_ID, _password, USER_NAME.ToString().Trim()) = True Then
                _msgstring = "Do You Want To Remove Your Profile Permanently ?" & Environment.NewLine & _
                             "To Remove Click On 'Yes' Button To Cancel Press On 'No' Button." & Environment.NewLine & _
                             "" & Environment.NewLine & Environment.NewLine & _
                             "Note :- " & Environment.NewLine & _
                             "        After Profile Delete Process Application Will Restart Automatically."

                RES_VALUE = ClsWinMessage.ShowWinMessage(_msgstring.ToString(), "Document Management System", MessageBoxIcon.Question, MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2)
                If RES_VALUE = Windows.Forms.DialogResult.Yes Then
                    If _obj.RemoveUser(USER_ID, _password) = True Then
                        ClsWinMessage.ShowWinMessage("Profile Deleted Successfully.", "Document Management System", MessageBoxIcon.Information, MessageBoxButtons.OK)
                        Call SET_DATA_FOLDER()
                        IsRestart = True
                        Application.Restart()
                    Else
                        ClsWinMessage.ShowWinMessage("Profile Not Deleted, Error In Delete Process.", "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
                        TextBoxPassword.ResetText()
                        TextBoxPasswordConfirm.ResetText()
                        TextBoxPassword.Focus()
                    End If
                Else
                    TextBoxPassword.ResetText()
                    TextBoxPasswordConfirm.ResetText()
                    TextBoxPassword.Focus()
                End If
            Else
                ClsWinMessage.ShowWinMessage("Invalid User Authentication, Please Check Your User Profile And Try It Again.", "Document Management System", MessageBoxIcon.Exclamation, MessageBoxButtons.OK)
                TextBoxPassword.ResetText()
                TextBoxPasswordConfirm.ResetText()
                TextBoxPassword.Focus()
            End If
        Catch ex As Exception
            ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
        Finally
            _obj = Nothing
        End Try

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub TextBoxPassword_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxPassword.Enter

        TextBoxPassword.SelectAll()

    End Sub
    Private Sub TextBoxPasswordConfirm_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxPasswordConfirm.Enter

        TextBoxPasswordConfirm.SelectAll()

    End Sub

End Class