Imports System
Imports WinMessage

'Developed By Gehan Fernando ........ClsWinMessage.ShowWinMessage
'Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

Public Class FrmDMS2008

    Private Sub FrmPhoneBook_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

        If IsRestart = False Then
            RES_VALUE = ClsWinMessage.ShowWinMessage("Do you want to exit ... ?", "Phone Book", MessageBoxIcon.Question, MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2)
            If RES_VALUE = Windows.Forms.DialogResult.Yes Then
                Call SET_DATA_FOLDER()
                SysIcon.Dispose()
                FrmLogin.Dispose()
                Me.Dispose()
                e.Cancel = False
            Else
                e.Cancel = True
            End If
        End If

    End Sub
    Private Sub FrmPhoneBook_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.Cursor = Cursors.WaitCursor

        TreeViewToolBox.ExpandAll()
        Call SET_DATA_FOLDER()

        If USER_ID = "User".ToString().ToUpper().Trim() Then
            Call DisplayForm(FrmUsers)
            Me.Cursor = Cursors.Default
            Exit Sub
        End If

        If EXPIRED = True Then
            Call DisplayForm(FrmChangePassword)
            Me.Cursor = Cursors.Default
            Exit Sub
        End If

        Call TimerSysTime_Tick(sender, e)
        Me.Cursor = Cursors.Default

    End Sub
    Private Sub TreeViewToolBox_NodeMouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TreeNodeMouseClickEventArgs) Handles TreeViewToolBox.NodeMouseClick

        If e.Node.Text.ToString().Trim() = "New Documents".ToString().Trim() Then

            Call DisplayForm(FrmDocuments)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Edit Documents".ToString().Trim() Then

            Call DisplayForm(FrmEditDocuments)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Recover Documents".ToString().Trim() Then

            Call DisplayForm(FrmRecovery)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Share With".ToString().Trim() Then

            Call DisplayForm(FrmShareWith)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "View Shared Documents".ToString().Trim() Then

            Call DisplayForm(FrmViewSharings)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Search Documents".ToString().Trim() Then

            Call DisplayForm(FrmSearch)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Quick Info".ToString().Trim() Then

            Call DisplayForm(FrmQuickInfo)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Name List".ToString().Trim() Then

            Call DisplayForm(FrmNameList)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "User Creations".ToString().Trim() Then

            If EXPIRED = True Or USER_ID <> "User".ToString().ToUpper().Trim() Then
                ClsWinMessage.ShowWinMessage("Sorry, You Dont Have Sufficient Privilege To Create Users.", "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
                Exit Sub
            End If

            Call DisplayForm(FrmUsers)
            Exit Sub

        End If

        If e.Node.Text.ToString().Trim() = "Password Maintenance".ToString().Trim() Then

            If USER_ID = "User".ToString().ToUpper().Trim() Then
                ClsWinMessage.ShowWinMessage("Sorry, You Dont Have Sufficient Privilege To Change Password.", "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
                Exit Sub
            Else
                Call DisplayForm(FrmChangePassword)
                Exit Sub
            End If

        End If

        If e.Node.Text.ToString().Trim() = "Delete Contains".ToString().Trim() Then

            Call DisplayForm(FrmContains)
            Exit Sub

        End If

    End Sub
    Private Sub DisplayForm(ByVal Frm As Form)

        With Frm
            .MdiParent = Me
            .Size = FRM_SIZE
            .Location = New Point(0, 0)
        End With

        If Frm.Visible = True Then
            Frm.Activate()
        Else
            Frm.Show()
        End If
        Frm.Focus()

    End Sub
    Private Sub ButtonRestart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonRestart.Click

        Call SET_DATA_FOLDER()
        SysIcon.Dispose()
        IsRestart = True
        Application.Restart()

    End Sub
    Private Sub TimerSysTime_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TimerSysTime.Tick

        Application.DoEvents()
        TimerSysTime.Interval = 1000
        Me.Text = "Document Management System :- [ Log User :- " + StrConv(USER_ID.ToString(), VbStrConv.ProperCase) + " ]  Sys Date & Time :- " + Date.Now().ToString("dd/MMM/yyyy hh:mm:ss tt")

    End Sub

End Class
