Imports System
Imports System.IO
Imports WinMessage
Imports DMS_2008_Data
Imports System.Diagnostics
Imports System.Collections

'Developed By Gehan Fernando ........
'Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

Public Class FrmNameList

#Region "Variables ....."
    Private _obj As ClsNameList = Nothing
    Private _objList As List(Of ClsNameList) = Nothing
    Private _seletedname As String = String.Empty
#End Region

    Private Sub ButtonClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonClose.Click

        Me.Close()

    End Sub
    Private Sub FrmNameList_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.Cursor = Cursors.WaitCursor

        With Me
            .MdiParent = FrmDMS2008
            .Size = FRM_SIZE
            .Location = New Point(0, 0)
            .Activate()
        End With

        If USER_ID = "User".ToString().ToUpper().Trim() Or EXPIRED = True Then
            GroupBoxMain.Enabled = False
        End If

        Try
            _obj = Nothing
            _obj = New ClsNameList()
            _objList = Nothing
            _objList = _obj.NameList(USER_ID)
            Call FormatGrid()
            DataGridViewDoc.DataSource = _objList
            TextBoxName.ResetText()
        Catch ex As Exception
            ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
        End Try

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub FormatGrid()

        With DataGridViewDoc
            .AutoGenerateColumns = False
            .Columns.Clear()

            Dim _dgcellstyle_middle As New DataGridViewCellStyle()
            With _dgcellstyle_middle
                .ForeColor = Color.Black
                .Font = New Font("Consolas", 9, FontStyle.Regular)
                .Alignment = DataGridViewContentAlignment.MiddleCenter
            End With

            Dim _dgcellstyle_left As New DataGridViewCellStyle()
            With _dgcellstyle_left
                .ForeColor = Color.Black
                .Font = New Font("Consolas", 9, FontStyle.Regular)
                .Alignment = DataGridViewContentAlignment.MiddleLeft
            End With

            Dim _colemployeename As New DataGridViewTextBoxColumn()
            With _colemployeename
                .AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill
                .DataPropertyName = "EmployeeName"
                .DefaultCellStyle = _dgcellstyle_left
                .FillWeight = 100 : .Frozen = False
                .HeaderText = "Names"
                .MaxInputLength = 1000
                .ReadOnly = True : .Visible = True
                .MinimumWidth = 5 : .Width = 380
            End With

            Dim _colfilecontain As New DataGridViewTextBoxColumn()
            With _colfilecontain
                .AutoSizeMode = DataGridViewAutoSizeColumnMode.NotSet
                .DataPropertyName = "DataCount"
                .DefaultCellStyle = _dgcellstyle_middle
                .FillWeight = 100 : .Frozen = False
                .HeaderText = "File(s) Contain"
                .MaxInputLength = 1000
                .ReadOnly = True : .Visible = True
                .MinimumWidth = 5 : .Width = 125
            End With

            .Columns.Add(_colemployeename)
            .Columns.Add(_colfilecontain)

            .DataSource = Nothing

        End With

    End Sub
    Private Sub ButtonReset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonReset.Click

        Me.Cursor = Cursors.WaitCursor

        Try
            _obj = Nothing
            _obj = New ClsNameList()
            _objList = Nothing
            _objList = _obj.NameList(USER_ID)
            Call FormatGrid()
            DataGridViewDoc.DataSource = _objList
            TextBoxName.ResetText()
        Catch ex As Exception
            ClsWinMessage.ShowWinMessage(ex.Message.ToString(), "Document Management System", MessageBoxIcon.Error, MessageBoxButtons.OK)
        End Try

        Me.Cursor = Cursors.Default

    End Sub
    Private Sub TextBoxName_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxName.Enter

        TextBoxName.SelectAll()

    End Sub
    Private Sub DataGridViewDoc_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridViewDoc.CellClick

        If e.RowIndex < 0 Then Exit Sub
        If e.ColumnIndex = 0 Then
            _seletedname = DataGridViewDoc.Rows(e.RowIndex).Cells(0).Value.ToString()
            TextBoxName.Text = _seletedname.ToString()
            TextBoxName.SelectAll()
        End If

    End Sub

End Class