EXEC SP_FULLTEXT_DATABASE 'ENABLE'
GO
EXEC SP_FULLTEXT_CATALOG 'DocumentData','CREATE'
GO
EXEC SP_FULLTEXT_TABLE 'DocumentDetails','CREATE','DocumentData','IND_AUTO'
GO
EXEC SP_FULLTEXT_COLUMN 'DocumentDetails','DocumentName','ADD'
GO
EXEC SP_FULLTEXT_TABLE 'DocumentDetails','ACTIVATE'
GO
EXEC SP_FULLTEXT_CATALOG 'DocumentData','START_FULL'
GO 
WHILE (SELECT fulltextcatalogproperty('DocumentData','POPULATESTATUS')) <> 0
   BEGIN
      WAITFOR DELAY '00:00:02'
	--Check every 2 seconds to see if full-text index population is complete.
   CONTINUE
END

CREATE UNIQUE INDEX  IND_AUTO ON DocumentDetails(AutoNumber)

SELECT DocumentName FROM DocumentDetails
where CONTAINS(DocumentName, '"Gehan*" OR "Dec*"')

--select * from DocumentDetails
--where DocumentName like 'krish%'

