using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;

//Developed By Gehan Fernando ........
//Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

namespace DMS_2008_Data
{
    public class ClsNameList
    {
        #region "Private Variables ....."
        private SqlConnection con = null;
        private SqlCommand com = null;
        private SqlDataReader reader = null;

        private string _employeename = string.Empty;
        private Int32 _datacount = 0;
        private List<ClsNameList> _doclist = null;
        private ClsNameList _objsearch = null;
        #endregion

        public string EmployeeName
        {
            get { return _employeename; }
            set { _employeename = value; }
        }
        public Int32 DataCount
        {
            get { return _datacount; }
            set { _datacount = value; }
        }

        public List<ClsNameList> NameList(string UserID)
        {
            _objsearch = null;
            try
            {
                _doclist = null;
                con = new SqlConnection(DMS_2008_Data.Properties.Settings.Default.DataConnection.ToString());
                con.Open();

                com = new SqlCommand();
                com.Connection = con;
                com.CommandType = CommandType.Text;

                com.CommandText = "SELECT DocumentsHeader.EmployeeName, COUNT(*) AS Data " +
                                  "FROM DocumentsHeader INNER JOIN " +
                                  "DocumentDetails ON DocumentsHeader.DocumentCode = DocumentDetails.DocumentCode " +
                                  "GROUP BY DocumentsHeader.EmployeeName, DocumentsHeader.UserID " +
                                  "HAVING DocumentsHeader.UserID = @UserID " +
                                  "ORDER BY DocumentsHeader.EmployeeName";
                com.Parameters.Add("@UserID", SqlDbType.NVarChar, 30).Value = UserID.ToString();
                reader = com.ExecuteReader();

                _doclist = new List<ClsNameList>();
                _doclist.Clear();

                while (reader.Read())
                {
                    _objsearch = new ClsNameList();
                    _objsearch.EmployeeName = reader.GetString(0);
                    _objsearch.DataCount =reader.GetInt32(1);
                    _doclist.Add(_objsearch);
                    _objsearch = null;
                }
                com.Parameters.Clear();
            }
            catch (Exception ex)
            {
                _doclist = null;
                throw ex;
            }
            finally
            {
                if (com != null)
                    com.Dispose();

                if (con != null)
                    con.Dispose();

                com = null;
                con = null;
            }
            return _doclist;
        }
    }
}
