using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;

//Developed By Gehan Fernando ........
//Mail :- gehan_g7@yahoo.com , f.gehan@gmail.com

namespace DMS_2008_Data
{
    public class ClsUserLoging : ClsUsers
    {
        #region "Private Variables ....."
        private SqlConnection con = null;
        private SqlCommand com = null;
        private SqlDataReader reader = null;

        private ClsUserLoging objClsUsers = null;
        #endregion

        public override string UserID
        {
            get
            {
                return _userid;
            }
            set
            {
                _userid = value;
            }
        }
        public override string UserName
        {
            get
            {
                return _username;
            }
            set
            {
                _username = value;
            }
        }
        public override string PassWord
        {
            get
            {
                return _password;
            }
            set
            {
                _password = value;
            }
        }
        public override bool Never
        {
            get
            {
                return _never;
            }
            set
            {
                _never = value;
            }
        }
        public override DateTime TodayDate
        {
            get
            {
                return _todate;
            }
            set
            {
                _todate = value;
            }
        }
        public override DateTime CreateDate
        {
            get
            {
                return _create;
            }
            set
            {
                _create = value;
            }
        }
        public override short ValidDays
        {
            get
            {
                return _validDays;
            }
            set
            {
                _validDays = value;
            }
        }
        public override DateTime ExpireDate
        {
            get
            {
                return _expired;
            }
            set
            {
                _expired = value;
            }
        }

        public ClsUserLoging IsValidLog(string UserID, string PassWord)
        {
            try
            {
                objClsUsers = null;
                con = new SqlConnection(DMS_2008_Data.Properties.Settings.Default.DataConnection.ToString());
                con.Open();

                com = new SqlCommand();
                com.Connection = con;
                com.CommandType = CommandType.Text;

                com.CommandText = "SELECT UserName, IsNever, CreateDate, ValidDays, ExpireDate FROM Users WHERE (UserID = @UserID) AND (UserPassWord = @UserPassWord)";
                com.Parameters.Add("@UserID", SqlDbType.NVarChar, 30).Value = UserID.ToString().Trim();
                com.Parameters.Add("@UserPassWord", SqlDbType.NVarChar, 60).Value = PassWord.ToString().Trim();
                reader = com.ExecuteReader();

                while (reader.Read())
                {
                    objClsUsers = new ClsUserLoging();
                    objClsUsers.UserName = reader.GetString(0).ToString();
                    objClsUsers.Never = reader.GetBoolean(1);
                    objClsUsers.CreateDate = reader.GetDateTime(2);
                    objClsUsers.ValidDays = (short)reader.GetInt32(3);
                    objClsUsers.ExpireDate = reader.GetDateTime(4);
                }

                reader.Close();

                com.Parameters.Clear();
            }
            catch (Exception ex)
            {
                objClsUsers = null;
                throw ex;
            }
            finally
            {
                if (com != null)
                    com.Dispose();

                if (con != null)
                    con.Dispose();

                com = null;
                con = null;
            }
            return objClsUsers;
        }
    }
}